此内容没有您所选择的语言版本。
7.4. Get Domain Information
Description
Get information about an existing domain.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /broker/rest/domains/:name |
Request Parameters
Not applicable
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/domains/mydomain --user user@example.com:password
JSON Response
The API returns the domain resource with related resource links which have been left out for brevity. See Chapter 7, Domains for more information on all domain resource parameters.
$ curl -X GET https://openshift.redhat.com/broker/rest/domains/mydomain --user user@example.com:password
{
"api_version": 1.6,
"data": {
"allowed_gear_sizes": [
"small"
],
"creation_time": "2013-08-21T01:58:41Z",
"members": [
{
"explicit_role": null,
"from": [
{
"type": "owner",
"role": "admin"
}
],
"id": "5213a826e499b22f15000001",
"name": "user@example.com",
"owner": true,
"role": "admin",
"type": "user"
}
],
"name": "mydomain",
"suffix": "rhcloud.com"
},
"messages": [
{
"exit_code": 0,
"field": null,
"severity": "info",
"text": "Found domain mydomain"
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "domain",
"version": "1.6"
}